using System.ComponentModel;
using AfRApay.Web.Backend.Database.Tables;
using J = System.Text.Json.Serialization.JsonPropertyNameAttribute;

namespace AfRApay.Web.Controllers.Schema;

public class UserResponse {
	[J("data")]                             public User?  Data    { get; set; }
	[J("status")] [DefaultValue("success")] public string Status  { get; set; } = "success";
	[J("message")] [DefaultValue("")]       public string Message { get; set; } = "";

	public UserResponse(User data) {
		Data = data;
	}
}
